Browse Source

Updated travis. Moved src/core/Tranloadit.js to src/core/Core.js

Harry Hedger 9 years ago
parent
commit
5eac853293
6 changed files with 30 additions and 25 deletions
  1. 0 1
      .travis.yml
  2. 2 0
      bin/build-css
  3. 2 0
      bin/build-umd
  4. 25 23
      bin/website-deploy
  5. 0 0
      src/core/Core.js
  6. 1 1
      src/core/index.js

+ 0 - 1
.travis.yml

@@ -10,7 +10,6 @@ addons:
 
 script:
   - "npm run-script build"
-  - "npm run-script build:examples"
 
 # Automatically deploy website onto gh-pages (if master and not PR)
 after_success:

+ 2 - 0
bin/build-css

@@ -1 +1,3 @@
+#!/bin/bash
+
 node_modules/.bin/node-sass src/scss/index.scss -o dist/uppy.css

+ 2 - 0
bin/build-umd

@@ -1,3 +1,5 @@
+#!/bin/bash
+
 SRC="src/index.js"
 OUT="uppy.js"
 

+ 25 - 23
bin/website-deploy

@@ -1,27 +1,29 @@
-  echo "--> Deploying to GitHub pages.."
-  mkdir -p /tmp/deploy-$(ghpages_repo)
+#!/bin/bash
 
-  # Custom steps
-  rsync \
-    --archive \
-    --delete \
-    --exclude=.git* \
-    --exclude=node_modules \
-    --exclude=lib \
-    --itemize-changes \
-    --checksum \
-    --no-times \
-    --no-group \
-    --no-motd \
-    --no-owner \
-  ./website/public/ /tmp/deploy-$(ghpages_repo)
+echo "--> Deploying to GitHub pages.."
+mkdir -p /tmp/deploy-$(ghpages_repo)
 
-  echo 'This branch is just a deploy target. Do not edit. You changes will be lost.' > /tmp/deploy-$(ghpages_repo)/README.md
+# Custom steps
+rsync \
+  --archive \
+  --delete \
+  --exclude=.git* \
+  --exclude=node_modules \
+  --exclude=lib \
+  --itemize-changes \
+  --checksum \
+  --no-times \
+  --no-group \
+  --no-motd \
+  --no-owner \
+./website/public/ /tmp/deploy-$(ghpages_repo)
 
-  cd /tmp/deploy-$(ghpages_repo) \
-    && git init && git checkout -B $(ghpages_branch) && git add --all . \
-    && git commit -nm "Update $(ghpages_repo) website by $${USER}" \
-    && (git remote add origin $(ghpages_url)|| true)  \
-    && git push origin $(ghpages_branch):refs/heads/$(ghpages_branch) --force
+echo 'This branch is just a deploy target. Do not edit. You changes will be lost.' > /tmp/deploy-$(ghpages_repo)/README.md
 
-  rm -rf /tmp/deploy-$(ghpages_repo)
+cd /tmp/deploy-$(ghpages_repo) \
+  && git init && git checkout -B $(ghpages_branch) && git add --all . \
+  && git commit -nm "Update $(ghpages_repo) website by $${USER}" \
+  && (git remote add origin $(ghpages_url)|| true)  \
+  && git push origin $(ghpages_branch):refs/heads/$(ghpages_branch) --force
+
+rm -rf /tmp/deploy-$(ghpages_repo)

+ 0 - 0
src/core/Transloadit.js → src/core/Core.js


+ 1 - 1
src/core/index.js

@@ -1 +1 @@
-export default from './Transloadit'
+export default from './Core'